Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class AbstractCompile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.compile.AbstractCompile

    public abstract class AbstractCompile
    extends SourceTask

The base class for all JVM-based language compilation tasks.

Method Summary
`protected void` | `compile()`
`FileCollection` | `getClasspath()` Returns the classpath to use to compile the source files.
`java.io.File` | `getDestinationDir()` Returns the directory to generate the `.class` files into.
`java.lang.String` | `getSourceCompatibility()` Returns the Java language level to use to compile the source files.
`java.lang.String` | `getTargetCompatibility()` Returns the target JVM to generate the `.class` files for.
`void` | `setClasspath(FileCollection configuration)` Sets the classpath to use to compile the source files.
`void` | `setDestinationDir(java.io.File destinationDir)` Sets the directory to generate the `.class` files into.
`void` | `setSourceCompatibility(java.lang.String sourceCompatibility)` Sets the Java language level to use to compile the source files.
`void` | `setTargetCompatibility(java.lang.String targetCompatibility)` Sets the target JVM to generate the `.class` files for.

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Method Detail

### compile

    @TaskAction
    protected void compile()

### getClasspath

    @InputFiles
    public FileCollection getClasspath()

  Returns the classpath to use to compile the source files.
  Returns:
    The classpath.

### getDestinationDir

    @OutputDirectory
    public java.io.File getDestinationDir()

  Returns the directory to generate the `.class` files into.
  Returns:
    The destination directory.

### getSourceCompatibility

    @Input
    public java.lang.String getSourceCompatibility()

  Returns the Java language level to use to compile the source files.
  Returns:
    The source language level.

### getTargetCompatibility

    @Input
    public java.lang.String getTargetCompatibility()

  Returns the target JVM to generate the `.class` files for.
  Returns:
    The target JVM.

### setClasspath

    public void setClasspath(FileCollection configuration)

  Sets the classpath to use to compile the source files.
  Parameters:
    `configuration` - The classpath. Must not be null, but may be empty.

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

  Sets the directory to generate the `.class` files into.
  Parameters:
    `destinationDir` - The destination directory. Must not be null.

### setSourceCompatibility

    public void setSourceCompatibility(java.lang.String sourceCompatibility)

  Sets the Java language level to use to compile the source files.
  Returns:
    The source language level. Must not be null.

### setTargetCompatibility

    public void setTargetCompatibility(java.lang.String targetCompatibility)

  Sets the target JVM to generate the `.class` files for.
  Parameters:
    `targetCompatibility` - The target JVM. Must not be null.

Groovy Documentation